Bug 181230 - security/dirmngr fails to build after ld(1) update
Summary: security/dirmngr fails to build after ld(1) update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-11 20:30 UTC by Justin Hibbits
Modified: 2013-11-12 10:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Hibbits freebsd_committer 2013-08-11 20:30:01 UTC
When building security/dirmngr, linking fails with the following message:

cc -I/usr/local/include -O2 -pipe -mcpu=7450 -mno-powerpc64 -fno-strict-aliasing -Wall -Wno-pointer-sign  -L/usr/local/lib -L/usr/local/lib -o dirmngr_ldap dirmngr_ldap-dirmngr_ldap.o dirmngr_ldap-no-libgcrypt.o   ../jnlib/libjnlib.a  -L/usr/local/lib -lgpg-error -lldap /usr/local/lib/libintl.so /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib /usr/local/lib/libiconv.so -Wl,-rpath -Wl,/usr/local/lib
mv -f .deps/dirmngr-client.Tpo .deps/dirmngr-client.Po
/usr/bin/ld: : invalid DSO for symbol `ber_free' definition
/usr/local/lib/liblber-2.4.so.8: could not read symbols: Bad value

Options are as follows:
_OPTIONS_READ=openldap-client-2.4.35
_FILE_COMPLETE_OPTIONS_LIST=FETCH
OPTIONS_FILE_SET+=FETCH

_OPTIONS_READ=dirmngr-1.1.0_9
_FILE_COMPLETE_OPTIONS_LIST=NLS
OPTIONS_FILE_SET+=NLS
Comment 1 Edwin Groothuis freebsd_committer 2013-08-11 20:30:14 UTC
Maintainer of security/dirmngr,

Please note that PR ports/181230 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/181230

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-08-11 20:30:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 O. Hartmann 2013-09-17 10:42:49 UTC
Obviously the LDFLAG in the port's Makefile is missing a "-llber-2.4".

security/dirmngr doesn't compile on most recent (>= r255620)
10.0-CURRENT without this addendum made to LDFLAGS.
Comment 4 Tijl Coosemans freebsd_committer 2013-10-28 17:20:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->tijl

Take.
Comment 5 dfilter service freebsd_committer 2013-11-12 10:06:25 UTC
Author: tijl
Date: Tue Nov 12 10:06:18 2013
New Revision: 333558
URL: http://svnweb.freebsd.org/changeset/ports/333558

Log:
  - Patch configure script to fix detection of LDAP libraries.  Both libldap
    and liblber are needed.
  - New LIB_DEPENDS syntax, USES=gmake, staging, option helpers.
  
  PR:		ports/181230
  Approved by:	maintainer timeout (2 weeks)

Added:
  head/security/dirmngr/files/
  head/security/dirmngr/files/patch-configure   (contents, props changed)
Modified:
  head/security/dirmngr/Makefile
  head/security/dirmngr/pkg-plist   (contents, props changed)
Directory Properties:
  head/security/dirmngr/distinfo   (props changed)
  head/security/dirmngr/pkg-descr   (props changed)

Modified: head/security/dirmngr/Makefile
==============================================================================
--- head/security/dirmngr/Makefile	Tue Nov 12 10:00:08 2013	(r333557)
+++ head/security/dirmngr/Makefile	Tue Nov 12 10:06:18 2013	(r333558)
@@ -13,35 +13,26 @@ EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 MAINTAINER=	umq@ueo.co.jp
 COMMENT=	Client for managing and downloading certificate revocation lists
 
-LIB_DEPENDS=	assuan.0:${PORTSDIR}/security/libassuan \
-		gcrypt:${PORTSDIR}/security/libgcrypt \
-		gpg-error.0:${PORTSDIR}/security/libgpg-error \
-		ksba.19:${PORTSDIR}/security/libksba \
-		pth:${PORTSDIR}/devel/pth
+LIB_DEPENDS=	libassuan.so:${PORTSDIR}/security/libassuan \
+		libgcrypt.so:${PORTSDIR}/security/libgcrypt \
+		libgpg-error.so:${PORTSDIR}/security/libgpg-error \
+		libksba.so:${PORTSDIR}/security/libksba \
+		libpth.so:${PORTSDIR}/devel/pth
 
+USES=		gmake iconv
 USE_BZIP2=	yes
-USES=		iconv
 USE_OPENLDAP=	yes
 GNU_CONFIGURE=	yes
-USE_GMAKE=	yes
 INFO=		dirmngr
-MAN1=		dirmngr-client.1 dirmngr.1
 
 CONFIGURE_ARGS+=	--docdir=${DOCSDIR}
 LDFLAGS+=	-L${LOCALBASE}/lib
 
 OPTIONS_DEFINE=	NLS
+OPTIONS_SUB=	yes
 
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
-.if ${PORT_OPTIONS:MNLS}
-USES+=	gettext
-PLIST_SUB+=	NLS=""
-.else
-CONFIGURE_ARGS+=--disable-nls
-PLIST_SUB+=	NLS="@comment "
-.endif
+NLS_CONFIGURE_ENABLE=	nls
+NLS_USES=	gettext
 
 verify: checksum
 	gpg --verify ${DISTDIR}/${DISTNAME}${EXTRACT_SUFX}.sig

Added: head/security/dirmngr/files/patch-configure
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/security/dirmngr/files/patch-configure	Tue Nov 12 10:06:18 2013	(r333558)
@@ -0,0 +1,11 @@
+--- configure.orig	2010-06-14 09:44:03.000000000 +0200
++++ configure	2013-10-28 17:10:59.000000000 +0100
+@@ -8627,6 +8627,8 @@
+ int
+ main ()
+ {
++BerElement *berctx = NULL;
++ber_free(berctx, 0);
+ ldap_open("foobar",1234);
+   ;
+   return 0;

Modified: head/security/dirmngr/pkg-plist
==============================================================================
--- head/security/dirmngr/pkg-plist	Tue Nov 12 10:00:08 2013	(r333557)
+++ head/security/dirmngr/pkg-plist	Tue Nov 12 10:06:18 2013	(r333558)
@@ -1,6 +1,8 @@
 bin/dirmngr
 bin/dirmngr-client
 libexec/dirmngr_ldap
+man/man1/dirmngr-client.1.gz
+man/man1/dirmngr.1.gz
 %%DOCSDIR%%/examples/README
 %%DOCSDIR%%/examples/bnetza-10r-ocsp.signer
 %%DOCSDIR%%/examples/dirmngr.conf
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Tijl Coosemans freebsd_committer 2013-11-12 10:06:52 UTC
State Changed
From-To: feedback->closed

Committed in r333558.